summaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
authorLinus Färnstrand <linus@mullvad.net>2020-02-20 10:24:24 +0100
committerLinus Färnstrand <linus@mullvad.net>2020-02-20 16:29:10 +0100
commit25c2f02aae29c2219016ca7a66c3c09078148ea5 (patch)
tree70124277fac8a364b78191de02acd5337c0e6aa7
parent1ceeb6387480b52081e90576e5f059e2cf2798a8 (diff)
downloadmullvadvpn-25c2f02aae29c2219016ca7a66c3c09078148ea5.tar.xz
mullvadvpn-25c2f02aae29c2219016ca7a66c3c09078148ea5.zip
Only run cargo build for 5 seconds
We only need to make it bump Cargo.lock, building is not interesting
-rwxr-xr-xprepare_release.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/prepare_release.sh b/prepare_release.sh
index f30e2e2749..fd0ef6ae99 100755
--- a/prepare_release.sh
+++ b/prepare_release.sh
@@ -28,7 +28,13 @@ echo "Updating version in metadata files..."
echo "Syncing Cargo.lock with new version numbers"
source env.sh ""
-cargo +stable build
+# If cargo exits with a non zero exit status and it's not a timeout (exit code 124) it's an error
+set +e
+timeout 5s cargo +stable build
+if [[ $? != 0 && $? != 124 ]]; then
+ exit 1
+fi
+set -e
echo "Commiting metadata changes to git..."
git commit -S -m "Updating version in package files" \